Bug 212709 - java/openjdk8 -Add Hotspot Servicability Agent Support on PowerPC
Summary: java/openjdk8 -Add Hotspot Servicability Agent Support on PowerPC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-15 20:31 UTC by Curtis Hamilton
Modified: 2017-01-03 01:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch to add Serviceability Agent support for PowerPC64 (90.44 KB, text/plain)
2016-09-15 20:31 UTC, Curtis Hamilton
no flags Details
Makefile patch to support powerpc64 (1.16 KB, patch)
2016-12-30 04:57 UTC, Curtis Hamilton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curtis Hamilton 2016-09-15 20:31:46 UTC
Created attachment 174808 [details]
Patch to add Serviceability Agent support for PowerPC64

OpenJDK8 does not support the Serviceability Agent (SA) on PowerPC.  The attached patch adds SA support for powerpc64.
Comment 1 Greg Lewis freebsd_committer 2016-12-18 21:25:40 UTC
Are the Linux specific files needed?
Comment 2 Curtis Hamilton 2016-12-20 14:58:29 UTC
(In reply to Greg Lewis from comment #1)

No, those files are not needed!
Comment 3 Greg Lewis freebsd_committer 2016-12-28 18:35:21 UTC
Pushed the patches upstream.  Need to regenerate the patch-set file so they are included in the port.
Comment 4 commit-hook freebsd_committer 2016-12-29 07:51:38 UTC
A commit references this bug:

Author: glewis
Date: Thu Dec 29 07:50:40 UTC 2016
New revision: 429875
URL: https://svnweb.freebsd.org/changeset/ports/429875

Log:
  . Add support for the HotSpot Serviceability Agent for ppc64.
  . This also pulls in some OpenBSD tweaks, I believe.  These should be a
    no-op for FreeBSD though.

  PR:		212709 (partial)
  Submitted by:	Curtis Hamilton <hamiltcl@verizon.net>

Changes:
  head/java/openjdk8/files/patch-bsd
Comment 5 Greg Lewis freebsd_committer 2016-12-29 07:54:12 UTC
I've updated the patchset, but am waiting for the bootstrap support to go in before committing the Makefile changes.

Curtis, if you have time, please let me know if what I've committed builds ok for you with the Makefile changes in place.
Comment 6 Curtis Hamilton 2016-12-30 02:31:08 UTC
Greg, looks good. Everything builds just fine. Thanks.
Comment 7 Curtis Hamilton 2016-12-30 04:57:12 UTC
Created attachment 178386 [details]
Makefile patch to support powerpc64

Greg, Here are the patches to the Makefile I used to build the port.

Regards,
Curtis
Comment 8 commit-hook freebsd_committer 2017-01-02 23:46:09 UTC
A commit references this bug:

Author: glewis
Date: Mon Jan  2 23:45:09 UTC 2017
New revision: 430424
URL: https://svnweb.freebsd.org/changeset/ports/430424

Log:
  . Add powerpc64 support.

  PR:		212709
  Submitted by:	Curtis Hamilton <hamiltcl@verizon.net>

Changes:
  head/java/openjdk8/Makefile